commit:     7a2209618b68a550a2f07a5c1c46712495c99656
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 20 04:20:21 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 04:49:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a220961

dev-python/scikit-build: Bump to 0.16.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/scikit-build/Manifest                   |  1 +
 dev-python/scikit-build/scikit-build-0.16.5.ebuild | 68 ++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/dev-python/scikit-build/Manifest b/dev-python/scikit-build/Manifest
index 89ba9abc4bb0..638d726a1eef 100644
--- a/dev-python/scikit-build/Manifest
+++ b/dev-python/scikit-build/Manifest
@@ -1 +1,2 @@
 DIST scikit-build-0.16.4.tar.gz 271037 BLAKE2B 
6cca8a3c4f4b37228b77ac098650a5eca4ad0f525ca7dcba178f4cffabb7e60e9a7bbba244e64c1a598ab5916f2f47788198eb2a19803d8d0cf7b9792f4e06e2
 SHA512 
90315ceac4c372e4d7248b4b56b6092362c2c43fbdc180d1a234e057209c508a05d2c6e0a3d0c2587c3adb8957e4c66d5c171a2a2bc3dbf9874a0de58d97d976
+DIST scikit-build-0.16.5.tar.gz 271974 BLAKE2B 
e34d44fb27975720adc4ca57a0fabc9b05260a13043b546d19bfb44fa1c60e6490c5d7bbd41494481da470e24c05c4da3eb41b26c78160a35be1e3c29f9a4ef4
 SHA512 
37e50b3a1fc04b6758b65a58f5d5239effbc0ab38a4a2024098b6a69eea1d7a9a388e41696176469e9c55a7c8b73ace9d7eee2daf5d0fbaefe2a3e09880ee600

diff --git a/dev-python/scikit-build/scikit-build-0.16.5.ebuild 
b/dev-python/scikit-build/scikit-build-0.16.5.ebuild
new file mode 100644
index 000000000000..9be654a86be5
--- /dev/null
+++ b/dev-python/scikit-build/scikit-build-0.16.5.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Improved build system generator for Python C/C++/Fortran/Cython 
extensions"
+HOMEPAGE="
+       https://github.com/scikit-build/scikit-build/
+       https://pypi.org/project/scikit-build/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+RDEPEND="
+       dev-python/distro[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/setuptools-42.0.0[${PYTHON_USEDEP}]
+       >=dev-python/wheel-0.32.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       test? (
+               >=dev-python/cython-0.25.1[${PYTHON_USEDEP}]
+               >=dev-python/pytest-mock-1.10.4[${PYTHON_USEDEP}]
+               >=dev-python/pytest-virtualenv-1.2.5[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx_rtd_theme \
+       dev-python/sphinx-issues
+distutils_enable_tests pytest
+
+src_prepare() {
+       # not packaged
+       sed -i -e '/cmakedomain/d' docs/conf.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # sandbox violations
+               tests/test_hello_cpp.py::test_hello_develop
+               tests/test_issue274_support_default_package_dir.py
+               tests/test_issue274_support_one_package_without_package_dir.py
+               tests/test_issue334_configure_cmakelists_non_cp1252_encoding.py
+               tests/test_pep518.py
+               # This fails because of additional item setup.py in sources
+               tests/test_include_exclude_data.py::test_hello_sdist
+               tests/test_include_exclude_data.py::test_hello_sdist_with_base
+               
tests/test_issue401_sdist_with_symlinks.py::test_sdist_with_symlinks
+               tests/test_manifest_in.py::test_manifest_in_sdist
+               # Wants internet to install things with pip
+               tests/test_numpy.py::test_pep518_findpython
+               # TODO
+               
"tests/test_command_line.py::test_hide_listing[True-bdist_wheel]"
+       )
+       epytest
+}

Reply via email to